# Class ValidatorXml

java.lang.Object
org.apache.tomcat.util.descriptor.tld.ValidatorXml

public class ValidatorXml extends Object
Model of a Tag Library Validator from the XML descriptor.

## Constructor Summary

Constructors
Constructor
Description
`ValidatorXml()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addInitParam(String name, String value)`
`Map<String,String>`
`getInitParams()`
`String`
`getValidatorClass()`
`void`
`setValidatorClass(String validatorClass)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValidatorXml

public ValidatorXml()

## Method Details

### getValidatorClass

public String getValidatorClass()

### setValidatorClass

public void setValidatorClass(String validatorClass)

### addInitParam

public void addInitParam(String name, String value)

### getInitParams

public Map<String,String> getInitParams()